<?php

class Wact_Template_Tag_wact_slotTestCase extends Wact_Test_Case_Template {

    function testSlot() {
        $t = $this->createTempTemplate(
            '-<wact:slot id="slot"/>-');

        $holder = $t->getChild('slot');
        $holder->appendChild(new Wact_View_Literal('inserted'));

        $output = $t->capture();
        
        $this->assertEqual($output, '-inserted-');
    }

}
?>